package com.beem.project.beem.smack.avatar;

import java.io.IOException;
import java.io.InputStream;

public interface AvatarCache {

    void put(String id, byte[] data) throws IOException;
    void put(String id, InputStream data) throws IOException;

    byte[] get(String id) throws IOException;
    boolean contains(String id);
}
